summaryrefslogtreecommitdiffstats
path: root/jjb
diff options
context:
space:
mode:
authorJulienBe <jb379x@att.com>2017-03-28 02:54:51 -0700
committerJulienBe <jb379x@att.com>2017-03-28 02:55:33 -0700
commitd45ff9569575dedcfa95ae8ab40ba518fac3678a (patch)
tree8a59dc15d235fdfd356afe1fa4a5b471fe5ab7b5 /jjb
parentbf07d0a5c4c676439618dc45234eeb91fdefd8dc (diff)
Moving blessing job to a X.Y-STAGING-latest model
Change-Id: I4897501e6c392480d760b9eb564df04343127e27 Signed-off-by: JulienBe <jb379x@att.com>
Diffstat (limited to 'jjb')
-rw-r--r--jjb/global-templates-script.yaml16
-rwxr-xr-xjjb/include-docker-blessing.sh18
2 files changed, 22 insertions, 12 deletions
diff --git a/jjb/global-templates-script.yaml b/jjb/global-templates-script.yaml
index 416717b9e..42cf98d49 100644
--- a/jjb/global-templates-script.yaml
+++ b/jjb/global-templates-script.yaml
@@ -876,13 +876,17 @@
parameters:
- string:
- name: VERSION
- description: "VERSION of the STAGING image to bless into this RELEASE VERSION
- Example : 1.2.3"
+ name: X
+ description: "x VERSION of the STAGING image to bless into this RELEASE VERSION
+ Example : 1"
- string:
- name: TIMESTAMP
- description: "TIMESTAMP of the STAGING image to pull
- Example : 20170308T1332"
+ name: Y
+ description: "y VERSION of the STAGING image to bless into this RELEASE VERSION
+ Example : 2"
+ - string:
+ name: Z
+ description: "z VERSION of the RELEASE VERSION
+ Example : 3"
- string:
name: PROJECT
default: '{project}'
diff --git a/jjb/include-docker-blessing.sh b/jjb/include-docker-blessing.sh
index 3cb67cf95..a2b7c8f0d 100755
--- a/jjb/include-docker-blessing.sh
+++ b/jjb/include-docker-blessing.sh
@@ -1,14 +1,20 @@
#!/bin/bash
-if [ -z "$VERSION" ];
+if [ -z "$X" ];
then
- echo "Error: no version provided"
+ echo "Error: no X version provided"
exit 1
fi
-if [ -z "$TIMESTAMP" ];
+if [ -z "$Y" ];
then
- echo "Error: no timestamp provided"
+ echo "Error: no Y version provided"
+ exit 1
+fi
+
+if [ -z "$Z" ];
+then
+ echo "Error: no Z version provided"
exit 1
fi
@@ -20,8 +26,8 @@ fi
RELEASE_REPOSITORY="nexus3.openecomp.org:10002"
SNAPSHOT_REPOSITORY="nexus3.openecomp.org:10003"
-STAGING_IMAGE="openecomp/$PROJECT:$VERSION-STAGING-$TIMESTAMP"
-RELEASE_IMAGE="openecomp/$PROJECT:$VERSION"
+STAGING_IMAGE="openecomp/$PROJECT:$X.$Y-STAGING-latest"
+RELEASE_IMAGE="openecomp/$PROJECT:$X.$Y.$Z"
docker pull "$SNAPSHOT_REPOSITORY/$STAGING_IMAGE"
docker tag "$SNAPSHOT_REPOSITORY/$STAGING_IMAGE" "$RELEASE_REPOSITORY/$RELEASE_IMAGE"